| Home | Libraries | People | FAQ | More

## Function template all

boost::algorithm::all — 'All' predicate

## Synopsis

    template<typename CollectionT, typename PredicateT>
      bool all(const CollectionT & Input, PredicateT Pred);

## Description

This predicate holds it all its elements satisfy a given condition, represented by the predicate.

Parameters

Input

  An input sequence

Pred

  A predicate

Returns: The result of the test
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba